% ----------------------------------------------------
% COMMON SPECIFICATIONS
%-----------------------------------------------------
clear;clc;close all;
order=4;periods=10;cumperiod=8;
convert_to_levels=1;

% ----------------------------------------------------
% FIG A1
%-----------------------------------------------------
samplestart=1960;
[date1,rgdp,rgov,inflyp,sr2,bondsb,lrate2,taxy,cc,gdebt_gdp,unemp,recession,ffr,...
    rcons,rinv,infle,news,gf,pop]=getdata(samplestart);
data1=[dlog(rgov,1) dlog(rgdp,1) trimr(taxy,1,0) dlev(gdebt_gdp,1)...
    trimr([inflyp sr2 bondsb-lrate2 cc./1000],1,0)];
    % check for missings
    if sum(sum(isnan(data1)))>0;error('missing observations, adjust sample!');end
bandwidth=sqrt(size(data1,1)); 

rposg=1;              %relative position of G-variable
rposy=2;              %relative position of Y-variable
selvek=(size(data1,2)*(rposg-1)+1:size(data1,2)*rposg)';
effectiveT=size(data1,1)-order;

% point estimates
 [~,IRF,~]=tvpvar(data1,order,periods,bandwidth);

yresp=squeeze(IRF(:,selvek(rposy),:));
yresp=integrat2(yresp);
ycum=cumsum(yresp);
  
az=-74;
el=20;
figure;
    horizonmat=[];datemat=[];
    for i=1:size(IRF,3);horizonmat(:,i)=1:periods;end
    for i=1:periods;datemat(i,:)=(date1(order+2:end));end
    surf(horizonmat,datemat,yresp);
    xlabel('quarters')
    ylabel('time')
    zlabel('percent y response')
    title('Y response')
    hold on
  set ( gca, 'ydir', 'reverse' )
    hold on
    view(az,el);
