% ----------------------------------------------------
% COMMON SPECIFICATIONS
%-----------------------------------------------------
clear;clc;close all;
order=1;periods=8;
convert_to_levels=1;
% ----------------------------------------------------
% data
%-----------------------------------------------------

samplestart=1960;
[date,rgdp,rgov,inflyp,sr2,bondsb,lrate2,taxy,cc,gdebt_gdp,unemp,recession,ffr,...
    rcons,rinv,infle,news,gf,pop,ex,deficity]=getdata(samplestart);

data=[dlog(rgov,1) dlog(rgdp,1)  trimr([bondsb-lrate2 ],1,0)];
rposy=2;
rposs=3;

% -------------------------------------------------------
% compute recursive VAR equationwise by Kalman filter ML
%--------------------------------------------------------

IRF=tvp_recvar_kalman(data,order,periods);

select=rposy; 
irfs=squeeze(IRF(:,select,:));
if convert_to_levels==1
    irfs=integrat2(irfs);
end

selects=rposs; 
sirfs=squeeze(IRF(:,selects,:));

averagey=mean(irfs(1:8,:))';
averages=mean(sirfs(1:8,:))';

figure;
subplot(2,1,1)
plot(date(order+2:end),averagey) 
title('Average output response')
subplot(2,1,2)
plot(date(order+2:end),averages)
title('Average spread response')