function [resp,resplower1,respupper1,resplower2,respupper2,impact,impactlower1,impactupper1,...
    impactlower2,impactupper2,average,averagelower1,averageupper1,averagelower2,averageupper2]=...
    get_impactaverage(IRF,bsdatamat,selvek,position,confidence1,confidence2,order,periods,bandwidth,...
    convert_to_levels,cumperiod)

% which response do we want?
resp=squeeze(IRF(:,selvek(position),:));

% integrated level y and g responses if desired
if convert_to_levels==1
   resp=integrat2(resp);
end

impact=resp(1,:)';
cum=cumsum(resp);
average=cum(cumperiod,:)'/cumperiod;

% compute multipliers from bootstrapped data
for bscounter=1:size(bsdatamat,3)
    disp(bscounter);
    thisbsdata=bsdatamat(:,:,bscounter);
    [~,bsIRF,~]=tvpvar(thisbsdata,order,periods,bandwidth);
    this_resp=(squeeze(bsIRF(:,selvek(position),:)));
    if convert_to_levels==1
        this_resp=integrat2(this_resp);
    end
    this_cum=cumsum(this_resp);
    this_impact=this_resp(1,:)';
    this_average=this_cum(cumperiod,:)'/cumperiod;
    bsresp(:,:,bscounter)=this_resp;
    bsimpact(:,bscounter)=this_impact;   
    bsaverage(:,bscounter)=this_average;
end

nquantile1=icdf('Normal',(confidence1+1)/2,0,1); 
nquantile2=icdf('Normal',(confidence2+1)/2,0,1); 

s=std(bsimpact,1,2);
impactlower1=impact-nquantile1*s;
impactupper1=impact+nquantile1*s;
impactlower2=impact-nquantile2*s;
impactupper2=impact+nquantile2*s;

s=std(bsaverage,1,2);
averagelower1=average-nquantile1*s;
averageupper1=average+nquantile1*s;
averagelower2=average-nquantile2*s;
averageupper2=average+nquantile2*s;

for t=1:size(resp,2)
    %
    this=squeeze(bsresp(:,t,:));
    s=std(this,1,2);
    lower1=resp(:,t)-nquantile1*s;
    upper1=resp(:,t)+nquantile1*s;
    resplower1(:,t)=lower1;respupper1(:,t)=upper1;
end

for t=1:size(resp,2)
    %
    this=squeeze(bsresp(:,t,:));
    s=std(this,1,2);
    lower2=resp(:,t)-nquantile2*s;
    upper2=resp(:,t)+nquantile2*s;
    resplower2(:,t)=lower2;respupper2(:,t)=upper2;
end


end