function [realresp,realresplower1,realrespupper1,realresplower2,realrespupper2,impact,impactlower1,impactupper1,...
    impactlower2,impactupper2,average,averagelower1,averageupper1,averagelower2,averageupper2]=...
    get_realrate(IRF,bsdatamat,selvek,intposition,inflposition,confidence1,confidence2,order,periods,bandwidth,...
    convert_to_levels,cumperiod)

% which response do we want?
intresp=squeeze(IRF(:,selvek(intposition),:));
inflresp=squeeze(IRF(:,selvek(inflposition),:));

if convert_to_levels==1
   error('Error!');
end

realresp=intresp-inflresp;

impact=realresp(1,:)';
cum=cumsum(realresp);
average=cum(cumperiod,:)'/cumperiod;

% compute multipliers from bootstrapped data
for bscounter=1:size(bsdatamat,3)
    disp(bscounter);
    thisbsdata=bsdatamat(:,:,bscounter);
    [~,bsIRF,~]=tvpvar(thisbsdata,order,periods,bandwidth);
    this_intresp=(squeeze(bsIRF(:,selvek(intposition),:)));
    this_inflresp=(squeeze(bsIRF(:,selvek(inflposition),:)));
    this_realresp=this_intresp-this_inflresp;
    %
    this_cum=cumsum(this_realresp);
    this_impact=this_realresp(1,:)';
    this_average=this_cum(cumperiod,:)'/cumperiod;
    bsresp(:,:,bscounter)=this_realresp;
    bsimpact(:,bscounter)=this_impact;   
    bsaverage(:,bscounter)=this_average;
end

nquantile1=icdf('Normal',(confidence1+1)/2,0,1); 
nquantile2=icdf('Normal',(confidence2+1)/2,0,1); 

s=std(bsimpact,1,2);
impactlower1=impact-nquantile1*s;
impactupper1=impact+nquantile1*s;
impactlower2=impact-nquantile2*s;
impactupper2=impact+nquantile2*s;

s=std(bsaverage,1,2);
averagelower1=average-nquantile1*s;
averageupper1=average+nquantile1*s;
averagelower2=average-nquantile2*s;
averageupper2=average+nquantile2*s;

for t=1:size(realresp,2)
    %
    this=squeeze(bsresp(:,t,:));
    s=std(this,1,2);
    lower1=realresp(:,t)-nquantile1*s;
    upper1=realresp(:,t)+nquantile1*s;
    realresplower1(:,t)=lower1;realrespupper1(:,t)=upper1;
end

for t=1:size(realresp,2)
    %
    this=squeeze(bsresp(:,t,:));
    s=std(this,1,2);
    lower2=realresp(:,t)-nquantile2*s;
    upper2=realresp(:,t)+nquantile2*s;
    realresplower2(:,t)=lower2;realrespupper2(:,t)=upper2;
end


end