function [date,rgdp,rgov,inflyp,sr2,bondsb,lrate2,taxy,cc,gdebt_gdp,unemp,recession,ffr,...
    rcons,rinv,infle,news,gf,pop,ex,deficity]=getdata(samplestart)

    x=xlsread('KL_datafile.xlsx',1);
    % adjustment to not lose observations due to inflation:
    yp=x(:,3);               
    inflyp=[nan(1);4*dlog(yp,1)];
    x=[x inflyp];

    % ----------------------------------------------------
    % SAMPLE PERIOD
    %-----------------------------------------------------

    start=find(x(:,1)==samplestart);
    x=trimr(x,start-1,0);

    % ----------------------------------------------------
    % DATA CONSTRUCTION
    %-----------------------------------------------------

    date=x(:,1);
    yn=x(:,2);
    pop=x(:,4);
    recession=x(:,5);
    unemp=x(:,6)./100;
    news=x(:,7);
    gf=x(:,8);             %G-Forecast (growth rate)
    bondsb=x(:,9)./100;    %BAA-Bond Yields
    lrate2=x(:,10)./100;    %Long Interest Rate (quarterly mean) 
    cpi2=x(:,11);            %CPI-Shiller (mean)
    sr2=x(:,12)./100;        %Shadow Rate (quarterly mean)
    rgdp=x(:,13);             %Real GDP (FRED)
    rgov=x(:,14);             %Real GOV (FRED)
    cc=x(:,15);               %Consumer Confidence (Michigan Survey)
    fgs=x(:,16);              %Federal Debt (FRED)
    slg=x(:,17);              %State Debt (FRED)
    gdebt_gdp=(fgs+slg)./yn;
    ntax=x(:,18)-x(:,19); % receipts - transfers
    taxy=ntax./yn;  
    ffr=x(:,20);
    pcesv=x(:,21);            %Consumption - Services
    pcnd=x(:,22);             %Consumption - Nondurables
    pfi=x(:,23);              %Fixed private Investment
    invp=x(:,24)./100;        %Investment price deflato    
    infle=x(:,25)./100;             %Inflation Expectations (SFP)  
    ex=x(:,26);                %Real Effective Exchange Rate (BIS - increase indicates appreciation)
    receipts=x(:,27);          %Federal Government Current Receipts (FRED)
    gtotal=x(:,28);            %Federal government total expenditures (FRED)
    deficity=(gtotal-receipts)./yn;     %Fiscal Deficit to GDP    
    rcons=(pcesv+pcnd)./cpi2;
    rinv=pfi./invp;    
    inflyp=x(:,end);
    
end